Уязвимость BDU:2020-03934

Дата: 14.03.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-03934.

Наименование уязвимости: Уязвимость функции wp_ajax_replyto_comment (ajax-actions.php) и wp_handle_comment_submission (comment.php) системы управления содержимым сайта WordPress, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции wp_ajax_replyto_comment (ajax-actions.php) и wp_handle_comment_submission (comment.php) системы управления содержимым сайта WordPress связана с недостаточной проверкой подлинности выполняемых запросов. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Debian GNU/Linux 10.0 | Прикладное ПО информационных систем WordPress Foundation WordPress до 5.1.1 |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 80 | Debian GNU/Linux 90 | Debian GNU/Linux 100 |
Дата выявления: 14.03.2019.
CVSS 2.0: AV:N/AC:M/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9,3)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)

Возможные меры по устранению:
Использование рекомендаций:
Для wordpress:
Обновление программного обеспечения до 5.1.1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета wordpress) до 4.7.5+dfsg-2+deb9u6 или более поздней версии
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-9787.

Тип ошибки CWE: CWE-352
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://nvd.nist.gov/vuln/detail/CVE-2019-9787
https://security-tracker.debian.org/tracker/CVE-2019-9787
https://blog.ripstech.com/2019/wordpress-csrf-to-rce

WordPress 5.1.1 Security and Maintenance Release


https://wordpress.org/support/wordpress-version/version-5-1-1/

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *